Bug 1465501 - [RFE] Provide an OpenShift application node cluster object
[RFE] Provide an OpenShift application node cluster object
Status: NEW
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: cfme-future
Assigned To: Loic Avenel
Dave Johnson
: FutureFeature
: 1465499 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 10:20 EDT by Peter McGowan
Modified: 2017-07-12 09:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)
Screenshot from 2017-06-30 18-10-56.png (150.65 KB, image/png)
2017-06-30 13:17 EDT, Federico Simoncelli
no flags Details
Cluster utilization alert screenshot (84.04 KB, image/jpeg)
2017-07-03 05:58 EDT, Peter McGowan
no flags Details

  None (edit)
Description Peter McGowan 2017-06-27 10:20:44 EDT
Description of problem:
We can currently see individual OpenStack nodes in the WebUI, however we have no concept of which nodes make up the application node cluster. 

If we could have a way of modelling OpenShift nodes as a cluster, (rolling up node C&U metrics into cluster metrics), we could detect utilization (and trends) on this cluster as a single entity. We could make scaling decisions such as deploying additional nodes, or scaling-back nodes if the cluster was idle. Scaling back is particularly important when running OpenShift in a public cloud.

We would also need a way of generating a control alert based on real-time performance of this node cluster.
Comment 2 Peter McGowan 2017-06-27 10:22:14 EDT
*** Bug 1465499 has been marked as a duplicate of this bug. ***
Comment 3 Federico Simoncelli 2017-06-27 18:24:02 EDT
(In reply to Peter McGowan from comment #0)
> If we could have a way of modelling OpenShift nodes as a cluster, (rolling
> up node C&U metrics into cluster metrics),

Peter we do have rollups for the cluster. If you go into the C&U of the provider you should see the graphs.
Each provider is a cluster, I don't think we need a new object to represent it (or at least we should have a good reason to introduce it).

Is that enough for this RFE?
Comment 4 Peter McGowan 2017-06-28 04:04:03 EDT
Hi Federico

I only see this for the underlying provider (e.g. VMware) cluster, not the cluster of OpenShift app nodes (which may be VMs running on the underlying hardware).

To be able to make scaling decisions for the OpenShift app nodes, we need to be able to see utilization stats for the group of app nodes (possibly VMs) that make up the app node cluster.
Comment 5 Federico Simoncelli 2017-06-30 13:17 EDT
Created attachment 1293313 [details]
Screenshot from 2017-06-30 18-10-56.png

(In reply to Peter McGowan from comment #4)
> Hi Federico
> 
> I only see this for the underlying provider (e.g. VMware) cluster, not the
> cluster of OpenShift app nodes (which may be VMs running on the underlying
> hardware).

Peter, the screenshot I am attaching shows you the OpenShift C&U of the entire provider (cluster).

As mentioned above it's in the OpenShift Provider page under "Monitoring => Utilization".
Let me know if you can't find it.
Comment 6 Federico Simoncelli 2017-06-30 13:19:05 EDT
(In reply to Peter McGowan from comment #4)
> To be able to make scaling decisions for the OpenShift app nodes, we need to
> be able to see utilization stats for the group of app nodes (possibly VMs)
> that make up the app node cluster.

This feature (nodes elasticity) is currently scheduled as an OpenShift feature.
Comment 7 Peter McGowan 2017-07-03 05:58 EDT
Created attachment 1293787 [details]
Cluster utilization alert screenshot

It would be useful to be able to create a cluster utilization alert, as shown in the screenshot. This doesn't seem to be possible as the OpenShift cluster doesn't appear in the list of Cluster / Deployment Roles (presumably because it's not of type ems_cluster).
Comment 8 Loic Avenel 2017-07-03 08:20:38 EDT
(In reply to Peter McGowan from comment #7)
> Created attachment 1293787 [details]
> Cluster utilization alert screenshot
> 
> It would be useful to be able to create a cluster utilization alert, as
> shown in the screenshot. This doesn't seem to be possible as the OpenShift
> cluster doesn't appear in the list of Cluster / Deployment Roles (presumably
> because it's not of type ems_cluster).

Peter, to clarify, you want to use current CloudForms Alert mechanism to generate an Alert and react to it?
Comment 9 Peter McGowan 2017-07-03 08:27:09 EDT
Loic, that's correct. 

Specifically I'd like to be able to create an alert on real-time performance utilization of an OpenShift cluster. This alert might possibly be used to scale out (or scale back) the cluster, but might also be useful to send into an external monitoring system.

Note You need to log in before you can comment on or make changes to this bug.